using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using Datory;

namespace GxPress.Repository.Interface.WorkFlow
{
    public interface IFlowApproverCheckRepository : IRepository
    {
        Task<int> InsertAsync(FlowApproverCheck item);

        Task<IEnumerable<FlowApproverCheck>> GetListAsync(int flowId);

        Task<bool> DeleteAllAsync(int flowId);
    }
}